
/* 
 * LCAUView.h -- Interface file for the LCAUView class 
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or implied, as to 
 * its fitness for any particular use.
 *
 */

#import <appkit/appkit.h>

@interface LCAUView:View {

	id		sButton, pButton;
	id		oMatrix, zMatrix;
	id		genEv;
	id		aSwitch;
	id		gridSize;
	id		nblockAve;
	id		wrule;
	id		dataList;
	id		rbutton,sbutton;
	id		ruleNumber;
	id		pslid;
	id		pswit;
	id		statEnpai;
	id		statEntro;
	id		statLines;
	id		statMode;
	id		statPair;
	id		statProd;
	id		statState;
	id		statSDevi;
	id		statNhood;
	id		statIndx;
	id		statLamb;
	id		tiDat;
	id		valBx;
	id		varText;
	id		varWindow;

	id		theEntropyView;
	id		theEvolView;
	id		thePlaidView;
	id		theStatView;
	id		theShEvolView;
	id		theThEvolView;

/*  general evolution windows	*/

	id		ev1Window;
	id		ev2Window;
	id		ev3Window;

	id		entropyWindow;
	id		evolWindow;
	id		keyWindow;
	id		shEvolWindow;
	id		thEvolWindow;
	id		plaidWindow;
	id		statWindow;

	id		menuCopy;
	id		menuPrint;

	id		keepTop;
	id		delegate;
	id		crossCursor;
}

- sPrint:sender;
- drawEvolu:sender;
- copyShEvol:sender;
- copyThEvol:sender;
- drawShEvol:sender;
- drawThEvol:sender;
- nxasfreq;
- nxmoncar: (int) l;
- printEvolu:sender;
- showLine:sender;
- makeline:sender;
- table:sender;

- protectRule:sender;

- copyEntropy:sender;
- copyPlaid:sender;
- copyStat:sender;

- drawEntropy:sender;
- drawPlaid:sender;
- drawStat:sender;

- printEntropy:sender;
- printPlain:sender;
- printPlaid:sender;
- printShEvol:sender;
- printThEvol:sender;
- printStat:sender;

- initFrame:(const NXRect *)frameRect;
- setDelegate:anObject;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- sizeTo:(NXCoord)width :(NXCoord)height;
- mouseDown:(NXEvent *)theEvent;

@end

/* end LCAUView.h */
